Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util
Class Int3D

    java.lang.Object
      sim.util.Int3D

All Implemented Interfaces:
  java.io.Serializable

public final class Int3D
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`int` | `x`
`int` | `y`
`int` | `z`

Constructor Summary
`Int3D()`
`Int3D(Int2D p)` Explicitly assumes the z value is set to 0
`Int3D(Int2D p, int z)`
`Int3D(int x, int y, int z)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getX()`
`int` | `getY()`
`int` | `getZ()`
`int` | `hashCode()`
`static int` | `hashCodeFor(int x, int y, int z)`
`java.lang.String` | `toCoordinates()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public final int x

### y

    public final int y

### z

    public final int z

Constructor Detail

### Int3D

    public Int3D()

### Int3D

    public Int3D(int x,
                 int y,
                 int z)

### Int3D

    public Int3D(Int2D p)

  Explicitly assumes the z value is set to 0

### Int3D

    public Int3D(Int2D p,
                 int z)

Method Detail

### getX

    public final int getX()

### getY

    public final int getY()

### getZ

    public final int getZ()

### toString

    public java.lang.String toString()

### toCoordinates

    public java.lang.String toCoordinates()

### hashCodeFor

    public static final int hashCodeFor(int x,
                                        int y,
                                        int z)

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD